This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 173738 - AssertionError at org.netbeans.api.javafx.source.ElementHandle.create
Summary: AssertionError at org.netbeans.api.javafx.source.ElementHandle.create
Status: VERIFIED FIXED
Alias: None
Product: javafx
Classification: Unclassified
Component: Unsupported (show other bugs)
Version: 6.x
Hardware: All All
: P2 blocker (vote)
Assignee: J Bachorik
URL: http://statistics.netbeans.org/except...
Keywords:
Depends on:
Blocks: 173077
  Show dependency tree
 
Reported: 2009-10-05 11:13 UTC by Alexandr Scherbatiy
Modified: 2009-10-09 10:51 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter: 159543


Attachments
stacktrace (1.87 KB, text/plain)
2009-10-05 11:13 UTC, Alexandr Scherbatiy
Details
stacktrace (1.87 KB, text/plain)
2009-10-05 13:53 UTC, Alexandr Scherbatiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-10-05 11:13:18 UTC
Build: NetBeans IDE Dev (Build 200910030241)
VM: Java HotSpot(TM) Client VM, 14.1-b02, Java(TM) SE Runtime Environment, 1.6.0_15-b03
OS: Windows XP, 5.1, x86

User Comments:
sunflower: Steps to reproduce:

- Create 'javafxapplication11.f' package
- Create D JavaFX class under the package
------------------------------------------------------------

package javafxapplication11.f;

import javafx.scene.CustomNode;
import javafx.scene.Group;
import javafx.scene.Node;

public class D extends CustomNode {

	public override function create(): Node {
		return Group {
			content: []
		};
	}
}
------------------------------------------------------------

- Create the Main JavaFX file under the  'javafxapplication11' package
------------------------------------------------------------

package a;

import javafx.stage.Stage;
import javafx.scene.Scene;

import javafxapplication11.f.D;


Stage {
	title : "MyApp"
	scene: Scene {
		width: 200
		height: 200
		content: [ D{}]
	}
}
------------------------------------------------------------

- Go to the D JavaFX file
- Refactor->Rename the D class name to the D1

The Error pops up.



Stacktrace: 
java.lang.AssertionError
        at org.netbeans.api.javafx.source.ElementHandle.create(ElementHandle.java:308)
        at org.netbeans.modules.javafx.refactoring.impl.scanners.BaseRefactoringScanner.<init>(BaseRefactoringScanner.java:61)
        at org.netbeans.modules.javafx.refactoring.impl.scanners.RenameScanner.<init>(RenameScanner.java:75)
        at org.netbeans.modules.javafx.refactoring.impl.plugins.RenameRefactoringPlugin$4.run(RenameRefactoringPlugin.java:387)
        at org.netbeans.modules.javafx.refactoring.impl.plugins.RenameRefactoringPlugin$4.run(RenameRefactoringPlugin.java:384)
        at org.netbeans.modules.javafx.source.parsing.LegacyUserTask.run(LegacyUserTask.java:68)
Comment 1 Alexandr Scherbatiy 2009-10-05 11:13:25 UTC
Created attachment 88820 [details]
stacktrace
Comment 2 Alexandr Scherbatiy 2009-10-05 13:53:06 UTC
Build: NetBeans IDE Dev (Build 200910030241)
VM: Java HotSpot(TM) Client VM, 14.1-b02, Java(TM) SE Runtime Environment, 1.6.0_15-b03
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.AssertionError
        at org.netbeans.api.javafx.source.ElementHandle.create(ElementHandle.java:308)
        at org.netbeans.modules.javafx.refactoring.impl.scanners.BaseRefactoringScanner.<init>(BaseRefactoringScanner.java:61)
        at org.netbeans.modules.javafx.refactoring.impl.scanners.RenameScanner.<init>(RenameScanner.java:75)
        at org.netbeans.modules.javafx.refactoring.impl.plugins.RenameRefactoringPlugin$4.run(RenameRefactoringPlugin.java:387)
        at org.netbeans.modules.javafx.refactoring.impl.plugins.RenameRefactoringPlugin$4.run(RenameRefactoringPlugin.java:384)
        at org.netbeans.modules.javafx.source.parsing.LegacyUserTask.run(LegacyUserTask.java:68)
Comment 3 Alexandr Scherbatiy 2009-10-05 13:53:10 UTC
Created attachment 88840 [details]
stacktrace
Comment 4 J Bachorik 2009-10-07 12:03:52 UTC
fixed in http://hg.netbeans.org/javafx/rev/837f9fc199dc
Comment 5 J Bachorik 2009-10-07 12:04:37 UTC
setting target milestone to 6.8
Comment 6 Alexandr Scherbatiy 2009-10-09 10:51:30 UTC
verified in netbeans-trunk-nightly-200910080418-javafx-full.zip